Package Details: easy-rsa-git 3.0.0.rc2.r2.g171834d-1

Git Clone URL: https://aur.archlinux.org/easy-rsa-git.git (read-only)
Package Base: easy-rsa-git
Description: An easy-to-use, robust, and highly configurable VPN (Virtual Private Network) - git checkout
Upstream URL: https://github.com/OpenVPN/easy-rsa
Licenses: custom
Conflicts: easy-rsa, openvpn
Provides: easy-rsa
Submitter: eworm
Maintainer: eworm
Last Packager: eworm
Votes: 1
Popularity: 0.000000
First Submitted: 2012-03-29 13:02
Last Updated: 2015-06-29 07:51

Required by (3)

Sources (1)

Latest Comments

tomashavlas commented on 2014-11-06 17:23

I think it would be great to include git as buildtime dependency.

Celti commented on 2014-09-23 21:46

I get the same error as whoever that was.

celti@siduri ~/build/makepkg/vpn/easy-rsa-git $ makepkg
==> Making package: easy-rsa-git .r2.g171834d-1 (Tue Sep 23 14:46:07 MST 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning easy-rsa git repo...
Cloning into bare repository '/home/celti/build/makepkg/vpn/easy-rsa-git/easy-rsa'...
remote: Counting objects: 500, done.
remote: Compressing objects: 100% (282/282), done.
remote: Total 500 (delta 200), reused 477 (delta 195)
Receiving objects: 100% (500/500), 172.28 KiB | 233.00 KiB/s, done.
Resolving deltas: 100% (200/200), done.
Checking connectivity... done.
==> Validating source files with sha256sums...
easy-rsa ... Skipped
==> Extracting sources...
-> Creating working copy of easy-rsa git repo...
Cloning into 'easy-rsa'...
done.
==> Starting pkgver()...
sed: -e expression #3, char 11: Invalid range end
==> Starting build()...
autoreconf: 'configure.ac' or 'configure.in' is required
==> ERROR: A failure occurred in build().
Aborting...
celti@siduri ~/build/makepkg/vpn/easy-rsa-git :( $

eworm commented on 2012-06-04 08:06

@stayupthetree: That is what you get when building the package? I just tried myself, works without problems here. Can you give more details?

Anonymous comment on 2012-06-04 04:02

autoreconf: 'configure.ac' or 'configure.in' is required